MONGOC_GRIDFS_FILE_LIST_T(3)

NAME
mongoc_gridfs_file_list_t - mongoc_gridfs_file_list_t

SYNOPSIS

        #include <mongoc.h>

        typedef struct _mongoc_gridfs_file_list_t mongoc_gridfs_file_list_t;

DESCRIPTION

mongoc_gridfs_file_list_t provides a gridfs file list abstraction. It provides iteration and basic marshalling on top of a regular mongoc_collection_find_with_opts() style query. In interface, it's styled after mongoc_cursor_t.

EXAMPLE

        mongoc_gridfs_file_list_t *list;
        mongoc_gridfs_file_t *file;

        list = mongoc_gridfs_find (gridfs, query);

        while ((file = mongoc_gridfs_file_list_next (list))) {
           do_something (file);

           mongoc_gridfs_file_destroy (file);
        }

        mongoc_gridfs_file_list_destroy (list);

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc